# Flashlight

**Properties**

| Property         | Type           | Description                                                                                          |
| ---------------- | -------------- | ---------------------------------------------------------------------------------------------------- |
| `HexColor`       | `string`       | The hexadecimal color of the light.                                                                  |
| `LightType`      | `LightType`    | The type of light. Available values are: `Spot`, `Directional`, `Point`, `Area`, `Rectangle`, `Disc` |
| `Intensity`      | `float`        | The intensity of the light.                                                                          |
| `ShadowType`     | `LightShadows` | The type of shadows. Available values are: `None`, `Hard`, `Soft`                                    |
| `ShadowStrength` | `float`        | The strength of the shadows.                                                                         |
| `Range`          | `float`        | The range of the light in meters.                                                                    |
| `SpotLightAngle` | `float`        | The angle of the spotlight.                                                                          |
| `Shape`          | `LightShape`   | The shape of the light if it's a spotlight.                                                          |

**Example:**

```yaml
CustomItemType: Light
CustomData:
  hex_color: "#FF0000"
  light_type: Spot
  intensity: 1.5
  shadow_type: Soft
  shadow_strength: 0.8
  range: 15.0
  spot_light_angle: 45.0
  shape: Cone
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/api/custom-data/flashlight.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
